### Hierarchy

- OfferManager

### Implemented by

- OfferManagerImpl

## Index

### Methods

- deleteOffer
- getAllOffers
- getMyOffers
- getMyOffersAndPage
- getMyOffersByTag
- getOffersByOwnerAndTag
- saveOffer
- shallowSaveOffer

## Methods

### deleteOffer

- deleteOffer(id: number): Promise<number>

- - Defined in manager/OfferManager.ts:16

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### getAllOffers

- getAllOffers(): Promise<Array<Offer>>

- - Defined in manager/OfferManager.ts:14

  #### Returns Promise<Array<Offer>>

### getMyOffers

- getMyOffers(id: number): Promise<Array<Offer>>

- - Defined in manager/OfferManager.ts:10

  #### Parameters

  - ##### id: number

  #### Returns Promise<Array<Offer>>

### getMyOffersAndPage

- getMyOffersAndPage(page?: number, size?: number): Promise<Page<Offer>>

- - Defined in manager/OfferManager.ts:12

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<Offer>>

### getMyOffersByTag

- getMyOffersByTag(tag: string): Promise<Array<Offer>>

- - Defined in manager/OfferManager.ts:20

  #### Parameters

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### getOffersByOwnerAndTag

- getOffersByOwnerAndTag(owner: string, tag: string): Promise<Array<Offer>>

- - Defined in manager/OfferManager.ts:18

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### saveOffer

- saveOffer(offer: Offer): Promise<Offer>

- - Defined in manager/OfferManager.ts:6

  #### Parameters

  - ##### offer: Offer

  #### Returns Promise<Offer>

### shallowSaveOffer

- shallowSaveOffer(offer: Offer): Promise<Offer>

- - Defined in manager/OfferManager.ts:8

  #### Parameters

  - ##### offer: Offer

  #### Returns Promise<Offer>

Generated using TypeDoc